﻿<!--Developer: Pierce Smith
    Date: 10/18/2019!-->
<%@ Page Language="vb" AutoEventWireup="false" CodeBehind="create.aspx.vb" Inherits="PierceLab5.create"%>
<!DOCTYPE html>

<html lang="en" xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <meta charset="utf-8"/>
    <meta name="viewport" content="width=device-width, initial-scale=1"/>
    <title>Account Creation</title>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css" type="text/css"/>
    <link rel="stylesheet" href="main.css" type="text/css" />
</head>
<body>
    <div class="container-fluid">
        <form id="frmAccCreate" runat="server" class="d-block mx-auto">
            <h1>Create an Account</h1>
                    <h2>
                        <asp:Label ID="lblInfo" runat="server" Text="" AssociatedControlID="frmAccCreate"></asp:Label>
                    </h2>
            <div class="text-left">
                <div class="row">
                    <div class="col-md-2 col-xs-12">
                        <label for="txtLname">Last Name:</label>
                    </div>
                    <div class="col-md-2 col-xs-12">
                        <asp:TextBox ID="txtLname" runat="server"></asp:TextBox>
                        <!--Last Name Validation!-->
                        <asp:RequiredFieldValidator ID="RequiredFieldValidator1" runat="server" ErrorMessage="Last name is required." Display="None" ControlToValidate="txtLname" SetFocusOnError="True"></asp:RequiredFieldValidator>
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-2 col-xs-12">
                        <label for="txtFname">First Name:</label>
                    </div>
                    <div class="col-md-2 col-xs-12">
                        <asp:TextBox ID="txtFname" runat="server"></asp:TextBox>
                        <!--First Name Validation!-->
                        <asp:RequiredFieldValidator ID="RequiredFieldValidator2" runat="server" ErrorMessage="First name is required." Display="None" ControlToValidate="txtFname" SetFocusOnError="True"></asp:RequiredFieldValidator>
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-2 col-xs-12">
                        <label for="txtDOB">Date of Birth:</label>
                    </div>
                    <div class="col-md-2 col-xs-12">
                        <asp:TextBox ID="txtDOB" runat="server"></asp:TextBox>
                        <!--DOB Validation!-->
                        <asp:RequiredFieldValidator ID="RequiredFieldValidator3" runat="server" ErrorMessage="Birthdate is required." Display="None" ControlToValidate="txtDOB" SetFocusOnError="True"></asp:RequiredFieldValidator>
                        <asp:RegularExpressionValidator ID="RegularExpressionValidator1" runat="server" ErrorMessage="Invalid DOB format." Display="None" ControlToValidate="txtDOB" ValidationExpression="^\d{2}\/\d{2}\/\d{4}$" SetFocusOnError="True"></asp:RegularExpressionValidator>
                        <asp:RangeValidator ID="RangeValidator1" runat="server" ErrorMessage="Birthdate must be within the dates of 01/01/1955 to 12/31/1995." Display="None" ControlToValidate="txtDOB" MinimumValue="01/01/1955" MaximumValue="12/31/1995" Type="Date" SetFocusOnError="True"></asp:RangeValidator>
                    </div>
                    <div class="col-md-2 col-xs-12">
                        <label for="txtDOB" class="hint">Use the format: mm/dd/yyyy for the birthdate.</label>
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-2 col-xs-12">
                        <label for="txtUID">User ID:</label>
                    </div>
                    <div class="col-md-2 col-xs-12">
                        <asp:TextBox ID="txtUID" runat="server"></asp:TextBox>
                        <!--UserID Validation!-->
                        <asp:RequiredFieldValidator ID="RequiredFieldValidator4" runat="server" ErrorMessage="A user ID is required." ControlToValidate="txtUID" Display="None" SetFocusOnError="True"></asp:RequiredFieldValidator>
                        <asp:CustomValidator ID="valUID" runat="server" ErrorMessage="User ID is invalid." ControlToValidate="txtUID" Display="None" OnServerValidate="valUID_ServerValidate" SetFocusOnError="True"></asp:CustomValidator>
                    </div>
                    <div class="col-md-2 col-xs-12">
                        <label for="txtUID" class="hint">The User ID must be at least 5 characters in length.</label>
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-2 col-xs-12">
                        <label for="txtPW">Password:</label>
                    </div>
                    <div class="col-md-2 col-xs-12">
                        <asp:TextBox ID="txtPW" runat="server" TextMode="Password"></asp:TextBox>
                        <!--Password Validation!-->
                        <asp:RequiredFieldValidator ID="RequiredFieldValidator5" runat="server" ErrorMessage="Password is required." ControlToValidate="txtPW" Display="None" SetFocusOnError="True"></asp:RequiredFieldValidator>
                        <asp:RegularExpressionValidator ID="RegularExpressionValidator2" runat="server" ErrorMessage="Invalid Password" ControlToValidate="txtPW" Display="None" ValidationExpression="^[A-Z]{2}\-[2-8]{4}|[A-Z]{2}\*[2-8]{4}|[A-Z]{2}\=[2-8]{4}$" SetFocusOnError="True"></asp:RegularExpressionValidator>
                    </div>
                    <div class="col-md-2 col-xs-12">
                        <label for="txtPW" class="hint">Password must start with 2 upper case letters followed by any 1 of 3 symbols (-, *, =) followed by any 4 numbers that are between 2 and 8. Valid Examples: LW-6432, AA*7777, CE=3838</label>
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-2 col-xs-12">
                        <label for="txtVerify">Verify Password:</label>
                    </div>
                    <div class="col-md-2 col-xs-12">
                        <asp:TextBox ID="txtVerify" runat="server" TextMode="Password"></asp:TextBox>
                        <!--Verification Validation!-->
                        <asp:RequiredFieldValidator ID="RequiredFieldValidator6" runat="server" ErrorMessage="Password verification is required." ControlToValidate="txtVerify" Display="None" SetFocusOnError="True"></asp:RequiredFieldValidator>
                        <asp:CompareValidator ID="CompareValidator1" runat="server" ErrorMessage="Passwords do not match." ControlToValidate="txtVerify" ControlToCompare="txtPW" Display="None" SetFocusOnError="True"></asp:CompareValidator>
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-2 col-xs-12">
                        <label for="txtPWHint">Password Hint:</label>
                    </div>
                    <div class="col-md-2 col-xs-12">
                        <asp:TextBox ID="txtPWHint" runat="server"></asp:TextBox>
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-2 col-xs-12">
                        <%--PlaceHolder for grid layout--%>
                    </div>
                    <div class="col-md-2 col-xs-12">
                        <asp:Button ID="btnCreate" runat="server" Text="Create Account" />
                        <asp:Button ID="btnCancel" runat="server" Text="Cancel" CausesValidation="False" />
                        <!--Validation Summary!-->
                        <asp:ValidationSummary ID="ValidationSummary1" runat="server" Font-Italic="True" Font-Names="Veranda" CssClass="error" DisplayMode="List"/>
                    </div>
                </div>
            </div>
        </form>
    </div>
    <script src="https://code.jquery.com/jquery-3.2.1.slim.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js"></script>
</body>
</html>